function [maska_t0,maska_t15,maska_t30,maska_t45,maska_t60,maska_t75,maska_t90,maska_t105,maska_t120,maska_t135,maska_t150,maska_t165] = cevy3()

sigma=12/3; %pro nejtenší cévy 18
vektor=40/3; %velikost vektoru, která je volitelná - z toho vel. masky 
x=[-vektor:1:vektor]; %Definování počtu vzorků použitých při výpočtu
y=exp(-(x.*x)/(2*sigma*sigma)); %Gauss. křivka - x volitelné. 
y=max(y)-y; %převrácení paraboly
y=y-mean(y); %Zarovnání křivky na střední hodnotu
velikost_y = length(y);
y0=repmat(y,velikost_y,1); %roztažení y do "masky" 

maska_t0=zeros(velikost_y+28,velikost_y+28); %velikost masky, zvětšení z důvodu rotace

    for i=1:velikost_y
        for j=1:velikost_y
            maska_t0(i+14,j+14)=y0(i,j); %vložení masky do maskastr0 -> kolem nuly 
        end
    end
%zisk masek 0-165° pro tenke cevy
for k=90:15:165
    maska{k+15}=imrotate(maska_t0,k,'bicubic','crop'); 
end
for k=90:-15:0
    maska{k+15}=imrotate(maska_t0,k,'bicubic','crop'); 
end

maska_t90=maska{15};
maska_t105=maska{30};
maska_t120=maska{45};
maska_t135=maska{60};
maska_t150=maska{75};
maska_t165=maska{90};
maska_t0=maska{105};
maska_t15=maska{120};
maska_t30=maska{135};
maska_t45=maska{150};
maska_t60=maska{165};
maska_t75=maska{180}; 

% figure
% subplot(261)
% imshow(maska_t0,[])
% title('0°')
% subplot(262)
% imshow(maska_t15,[])
% title('15°')
% subplot(263)
% imshow(maska_t30,[])
% title('30°')
% subplot(264)
% imshow(maska_t45,[])
% title('45°')
% subplot(265)
% imshow(maska_t60,[])
% title('60°')
% subplot(266)
% imshow(maska_t75,[])
% title('75°')
% subplot(267)
% imshow(maska_t90,[])
% title('90')
% subplot(268)
% imshow(maska_t105,[])
% title('105°')
% subplot(269)
% imshow(maska_t120,[])
% title('120°')
% subplot(2,6,10)
% imshow(maska_t135,[])
% title('135°')
% subplot(2,6,11)
% imshow(maska_t150,[])
% title('150°')
% subplot(2,6,12)
% imshow(maska_t165,[])
% title('165°')
% sgtitle('masky filtru pro tenké cévy') 
% 
% figure
% imshow(maska_t0,[])
end

